libzypp 17.37.10

zypp::ResPool::EstablishedStates::Impl Class Reference

Store initial establish status of pseudo installed items. More...

`#include <zypp/pool/PoolImpl.h>`

## Public Member Functions
| Impl ()
ResPool::EstablishedStates::ChangedPseudoInstalled | changedPseudoInstalled () const
| Return all pseudo installed items whose current state differs from their initial one.

## Private Member Functions
ResStatus::ValidateValue | validateValue (sat::Queue::size_type i) const

## Private Attributes
sat::Queue | _pseudoItems
sat::Queue | _pseudoFlags

## Detailed Description

Store initial establish status of pseudo installed items.

Definition at line 117 of file PoolImpl.h.

## Constructor & Destructor Documentation

## ◆ Impl()

zypp::ResPool::EstablishedStates::Impl::Impl | ( |  | ) |
| inline

Definition at line 120 of file PoolImpl.h.

## Member Function Documentation

## ◆ changedPseudoInstalled()

ResPool::EstablishedStates::ChangedPseudoInstalled zypp::ResPool::EstablishedStates::Impl::changedPseudoInstalled | ( |  | ) | const
| inline

Return all pseudo installed items whose current state differs from their initial one.

Definition at line 124 of file PoolImpl.h.

## ◆ validateValue()

ResStatus::ValidateValue zypp::ResPool::EstablishedStates::Impl::validateValue | ( | sat::Queue::size_type | i | ) | const
| inline private

Definition at line 142 of file PoolImpl.h.

## Member Data Documentation

## ◆ _pseudoItems

sat::Queue zypp::ResPool::EstablishedStates::Impl::_pseudoItems
| private

Definition at line 155 of file PoolImpl.h.

## ◆ _pseudoFlags

sat::Queue zypp::ResPool::EstablishedStates::Impl::_pseudoFlags
| private

Definition at line 156 of file PoolImpl.h.

The documentation for this class was generated from the following file:

- zypp/pool/PoolImpl.h